libcloud-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (LIBCLOUD-893) Having certifi installed breaks libcloud.security.py for 2.0.0rc1
Date Tue, 21 Feb 2017 16:35:45 GMT

    [ https://issues.apache.org/jira/browse/LIBCLOUD-893?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15876254#comment-15876254
] 

ASF subversion and git services commented on LIBCLOUD-893:
----------------------------------------------------------

Commit 516018d050a5470afe4a07d33d1fcb26d0e1df18 in libcloud's branch refs/heads/trunk from
[~bennettaur]
[ https://git-wip-us.apache.org/repos/asf?p=libcloud.git;h=516018d ]

Fixed a NoneType error being thrown in libcloud.security when certify is installed (LIBCLOUD-893)
Closes #982


> Having certifi installed breaks libcloud.security.py for 2.0.0rc1
> -----------------------------------------------------------------
>
>                 Key: LIBCLOUD-893
>                 URL: https://issues.apache.org/jira/browse/LIBCLOUD-893
>             Project: Libcloud
>          Issue Type: Bug
>            Reporter: Michael Bennett
>            Priority: Minor
>
> This change: https://github.com/apache/libcloud/commit/a4ad8d4a44dbf6069d924cdadabfff522ed703e6
> Causes libcloud.security to fail on import when the certifi package is installed. CA_CERTS_PATH
was initialized to None however with certifi installed, line 58 attempts to insert the certifi_ca_bundle_path
and throws a NoneType error



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message